Include "include\Xors3D.bb"
Include "include\FastImageXors.bb"

Const w = 800, h = 600

xGraphics3D w, h, 16, 0
xInitDraw

Local gfxPlayer = xLoadImageEx("test.jpg", 0, 0)

Local bank = CreateBank(80)

PokeInt bank, 0, 3						  
PokeInt bank, 4, FI_WRAPUV				  
PokeInt bank, 8, FI_TRIANGLEFAN
PokeInt bank,12, 0
PokeInt bank,16, 0

PokeFloat bank, 20, 0
PokeFloat bank, 24, 0
PokeInt bank, 28, $FFFFFFFF
PokeFloat bank, 32, 0
PokeFloat bank, 36, 0

PokeFloat bank, 40, 0
PokeFloat bank,44, h
PokeInt bank, 48, $FFFFFFFF
PokeFloat bank, 52, 0
PokeFloat bank, 56, 1.0

PokeFloat bank,60, w / 2
PokeFloat bank,64, h / 2
PokeInt bank, 68, $FFFFFFFF
PokeFloat bank,72, 0.5
PokeFloat bank,76, 0.5

While Not xKeyHit(xKEY_ESCAPE)
	xCls
	xStartDraw
	
	xSetColor($FF, $FF, $FF)
	xDrawPoly 0, 0, bank, gfxPlayer
	
	PokeFloat bank, 60, xMouseX()
	PokeFloat bank, 64, xMouseY()
	PokeFloat bank, 72, Float(xMouseX()) / Float(w)
	PokeFloat bank, 76, Float(xMouseY()) / Float(h)
	
	xEndDraw
	xFlip
Wend

FreeBank bank
xFreeImageEx gfxPlayer
xDeinitDraw
End
;~IDEal Editor Parameters:
;~C#Blitz3D