Const w = 800, h = 600

Graphics3D w, h, 16, 2 

Local gfxPlayer=LoadImage("test.jpg") 
SetBuffer ImageBuffer(gfxPlayer)
LockBuffer

Local x, y
Dim pix(w, h)
For y=0 To h
	For x=0 To w
		pix(x,y)=ReadPixelFast(x,y)
	Next 
Next 

UnlockBuffer 

FreeImage gfxPlayer

SetBuffer BackBuffer() 

Dim A.vector2d(3)
A(0) = PointFromCoord(0,0)
A(1) = PointFromCoord(0,h)
Dim lines.Line2d(2)
lines(0) = LineFromPoints(A(0), A(1))

While Not KeyHit(1) 
	Cls 
	
	A(2) = PointFromCoord(MouseX(), MouseY())
	lines(1) = LineFromPoints(A(1), A(2))
	lines(2) = LineFromPoints(A(2), A(0))
	
	LockBuffer 
	For y=0 To h
		For x=0 To w
			A(3) = PointFromCoord(x, y)
			Local Flag = 1, l.Line2d
			For l.Line2d = Each Line2d
				If Apply(l, A(3)) > 0 Then Flag = 0
			Next
			If Flag Then WritePixelFast x, y, pix(x,y) 
			Delete A(3)
		Next 
	Next 
	UnlockBuffer 
	
	Delete A(2)
	Delete lines(1)
	Delete lines(2)
	
	Flip 
	;WaitMouse
Wend  

Type vector2d
	Field x%, y%
End Type

Type Line2d
	Field ab.vector2d, c%
End Type

Function PointFromCoord.vector2d(x%, y%)
	Local ans.vector2d = New vector2d
	ans\x = x
	ans\y = y
	Return ans
End Function

Function RotateVector.vector2d(v.vector2d)
	Local ans.vector2d = New vector2d
	ans\x = -v\y
	ans\y =  v\x
	Return ans
End Function

Function Sub.vector2d(a.vector2d, b.vector2d)
	Local ans.vector2d = New vector2d
	ans\x = b\x - a\x
	ans\y = b\y - a\y
	Return ans
End Function

Function Apply#(l.Line2d, p.vector2d)
	Return l\ab\x * p\x + l\ab\y * p\y + l\c
End Function

Function LineFromPoints.Line2d(x.vector2d, y.vector2d)
	Local ans.Line2d = New Line2d
	ans\ab = RotateVector( Sub(x, y) )
	ans\c = 0
	ans\c = -Apply(ans, x)
	Return ans
End Function

;~IDEal Editor Parameters:
;~C#Blitz3D